Bug 1254705 - Rebase openstack-trove to 2014.1.5
Rebase openstack-trove to 2014.1.5
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-trove (Show other bugs)
5.0 (RHEL 7)
Unspecified Unspecified
unspecified Severity unspecified
: z5
: 5.0 (RHEL 7)
Assigned To: Victoria Martinez de la Cruz
Luigi Toscano
: Rebase, TechPreview, Triaged, ZStream
Depends On:
  Show dependency treegraph
Reported: 2015-08-18 13:25 EDT by Lon Hohberger
Modified: 2015-09-10 07:46 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-trove-2014.1.5-1.el7ost
Doc Type: Rebase: Bug Fixes Only
Doc Text:
The openstack-trove packages have been upgraded to upstream version 2014.1.5, which provides a number of bug fixes over the previous version.
Story Points: ---
Clone Of:
Last Closed: 2015-09-10 07:46:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2015-08-18 13:25:34 EDT
Rebase openstack-trove to 2014.1.5.  If appropriate, link any critical issues addressed in this rebase.
Comment 7 Luigi Toscano 2015-09-01 12:04:55 EDT
Package rebased, the three services start and the tempest Trove API tests pass, Caveat: flavor tests fail if it exists a flavor with non-integer ID (known upstream issue).

{0} tempest.api.database.flavors.test_flavors.DatabaseFlavorsTest.test_compare_db_flavors_with_os [0.439426s] ... ok
{0} tempest.api.database.flavors.test_flavors.DatabaseFlavorsTest.test_get_db_flavor [0.045442s] ... ok
{0} tempest.api.database.flavors.test_flavors.DatabaseFlavorsTest.test_list_db_flavors [0.057467s] ... ok
{0} tempest.api.database.flavors.test_flavors_negative.DatabaseFlavorsNegativeTest.test_get_non_existent_db_flavor [0.348153s] ... ok
{0} tempest.api.database.limits.test_limits.DatabaseLimitsTest.test_absolute_limits [0.132637s] ... ok
{0} tempest.api.database.versions.test_versions.DatabaseVersionsTest.test_list_db_versions [0.114045s] ... ok

Verified on:
Comment 10 errata-xmlrpc 2015-09-10 07:46:19 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.